From 9238b706a86a14753123d44f6736ac1f1d4ff7be Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adetaylor@chromium.org>
Date: Nov 01 2020 05:15:24 +0000
Subject: [PATCH 1128/2232] Test for namespace order sensitivity.


---

diff --git a/tests/ffi/lib.rs b/tests/ffi/lib.rs
index fee5bcb..c79aff3 100644
--- a/tests/ffi/lib.rs
+++ b/tests/ffi/lib.rs
@@ -101,6 +101,16 @@ pub mod ffi {
         z: usize,
     }
 
+    #[namespace = "first"]
+    struct First {
+        second: Box<Second>,
+    }
+
+    #[namespace = "second"]
+    struct Second {
+        i: i32,
+    }
+
     extern "C" {
         include!("tests/ffi/tests.h");
 

